
%global               debug_package %{nil}
Name:		nedit-ng
Version:	2020.2
Release:	55.fc40
Summary:	A Qt5 port of the NEdit using modern c++14

Group:		Applications/Editors
License:	GPLv2
URL:		https://github.com/eteran/nedit-ng
Source0:	https://github.com/eteran/nedit-ng/archive/%{name}-%{version}.tar.gz
#Source1:	nedit-ng.desktop
Source2: 	nedit-icon.png

BuildRequires:	pkgconfig
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5PrintSupport)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5Xml)
BuildRequires:	cmake(Qt5LinguistTools)
BuildRequires:	boost-devel
BuildRequires:	bison
BuildRequires:	cmake
BuildRequires:	gcc-c++
BuildRequires:	desktop-file-utils
Obsoletes:	nedit
Provides:	nedit

%description
nedit-ng is a Qt port of the Nirvana Editor (NEdit) version 5.6. It is intended to be a drop in replacement for nedit in every practical way, just as on many systems /usr/bin/vi is now a symlink to /usr/bin/vim.

Because it is a true port of the original code, it (at least for now) inherits some (but not all) of the limitations of the original. On the other hand, some aspects have been improved simply by the fact that it is now a Qt application.

%prep
#%autosetup

%build

cd %{_builddir}/%{name}-%{version}
mkdir build
cd build
cmake ..
make

%install
mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/48x48/apps
install -p -m 644 %{SOURCE2} $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/48x48/apps/nedit.png

install -D -m0644 %{_builddir}/%{name}-%{version}/src/res/nedit-ng.png %{buildroot}%{_datadir}/pixmaps/%{name}.png
desktop-file-install \
	--dir $RPM_BUILD_ROOT%{_datadir}/applications \
	--add-category "Development;" \
	%{_builddir}/%{name}-%{version}/nedit-ng.desktop
mkdir -p %{buildroot}%{_bindir}/
mkdir -p %{buildroot}%{_datadir}/doc/nedit-ng/
cp -f %{_builddir}/%{name}-%{version}/build/nc-ng %{buildroot}%{_bindir}/nc-ng
cp -f %{_builddir}/%{name}-%{version}/build/nedit-import %{buildroot}%{_bindir}/nedit-import
cp -f %{_builddir}/%{name}-%{version}/build/nedit-ng %{buildroot}%{_bindir}/nedit
cp -f %{_builddir}/%{name}-%{version}/LICENSE.md %{buildroot}%{_datadir}/doc/nedit-ng
cp -f %{_builddir}/%{name}-%{version}/README.md %{buildroot}%{_datadir}/doc/nedit-ng

%check
ctest -V %{?_smp_mflags}

%clean
rm -rf $RPM_BUILD_ROOT

%post
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :

%postun
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :

%files
/usr/bin/nc-ng
/usr/bin/nedit-import
/usr/bin/nedit
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/icons/hicolor/
%{_datadir}/applications/%{name}.desktop
%doc LICENSE.md README.md


%changelog
* Fri Jul 24 2020 Sait umar <umar@compsci.cas.vanderbilt.edu>
- Build from master

* Wed Nov 21 2018 Mike DePaulo <mikedep333@gmail.com> - 2018.13-1
- Initial version for Fedora


